Summary: Rpms macros to easily build haskell modules
Name: haskell-rpm-macros
Version: 6.4
Release: %mkrel 16
License: GPL
Source0: haskell-macros-%version.tar.gz
# From Fedora:
Source3: ghc-deps.sh
Source7: ghc.attr
Group: System/Packaging

BuildArch: noarch
# Requires: cabalrpmdeps
# Requires: haddock

Obsoletes: haskell-macros < 6.4-15
Provides: haskell-macros = %{version}-%{release}

%description
Rpms macros to easily build haskell modules.

%prep
%setup -qn haskell-macros-%version

%install
%make_install rpmmacrosdir=%_rpmmacrodir prefix=%_prefix

mv %{buildroot}%_rpmmacrodir/haskell-macros.macros %{buildroot}%_rpmmacrodir/macros.haskell

install -p -D -m 0755 %{SOURCE3} %{buildroot}/%{_rpmconfigdir}/ghc-deps.sh
install -p -D -m 0644 %{SOURCE7} %{buildroot}/%{_rpmconfigdir}/fileattrs/ghc.attr

%files
%{_rpmmacrodir}/macros.haskell
%_bindir/*
%{_rpmconfigdir}/fileattrs/ghc.attr
%{_rpmconfigdir}/ghc-deps.sh




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 6.4-16.mga10
+ Revision: 2217244
- Mageia 10 Mass Rebuild

* Sat Jan 07 2023 wally <wally> 6.4-15.mga9
+ Revision: 1930992
- rename as haskell-rpm-macros
- install rpm macros into /usr/lib/rpm/macros.d

* Sat Mar 19 2022 umeabot <umeabot> 6.4-14.mga9
+ Revision: 1800770
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 6.4-13.mga8
+ Revision: 1489498
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Sep 18 2018 umeabot <umeabot> 6.4-12.mga7
+ Revision: 1260585
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 6.4-11.mga6
+ Revision: 939340
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.4-10.mga5
+ Revision: 743273
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.4-9.mga5
+ Revision: 680085
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 tv <tv> 6.4-8.mga5
+ Revision: 673721
- add RPM dependency generators for ghc

* Fri Oct 18 2013 umeabot <umeabot> 6.4-7.mga4
+ Revision: 521377
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 6.4-6.mga3
+ Revision: 390712
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 6.4-5.mga3
+ Revision: 353114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 10 2012 malo <malo> 6.4-4.mga2
+ Revision: 206838
- spec clean-up after import from Mandriva.
- imported package haskell-macros

